AOZ Studio Beta - Bug #312

Transpileur corrupts sound and video files
03/20/2020 09:23 AM - Baptiste Bideaux

Status: Feedback Start date: 03/20/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.8

Affected version: 0.9.6.4

Description

There is a problem with the transformation by the transpiler of binary files into base64 (JS file), on sound files, modules and video.
There is either a loss of information or complete corruption.

If we use Sam Play, the sound is distorted. While the same file loaded directly plays normally.
On videos, it doesn't work at all. The transformed file is not recognized at all as a correct format.

For images, it works very well.

History

#1 - 04/16/2020 04:45 AM - Francois Lionet

- Status changed from New to Feedback

Yes, | know about that, the sound routines need rewriting, so | do not work on that for the moment.
Video, the "Video" module has never been tested. Will come soon.
